From c71fded919855314cbd9d1554777fb9b4ddac548 Mon Sep 17 00:00:00 2001
From: Melroy van den Berg <melroy@melroy.org>
Date: Tue, 19 May 2020 22:28:58 +0200
Subject: [PATCH 01/11] First auto-format the code, for readability and
 humankind

---
 src/sshmasterconnection.cpp | 1940 ++++++++++++++++++-----------------
 src/sshmasterconnection.h   |  119 ++-
 2 files changed, 1035 insertions(+), 1024 deletions(-)

diff --git a/src/sshmasterconnection.cpp b/src/sshmasterconnection.cpp
index 8b59fe7..424cad2 100644
--- a/src/sshmasterconnection.cpp
+++ b/src/sshmasterconnection.cpp
@@ -23,7 +23,6 @@
 #include <stddef.h>
 #include "sshprocess.h"
 
-
 #include <QStringList>
 #include <QFile>
 #include <QDir>
@@ -43,36 +42,33 @@
 #include <QtNetwork/qabstractsocket.h>
 #endif
 
-
 #include "onmainwindow.h"
 
-
 #define PROXYTUNNELPORT 44444
 
 const QString SshMasterConnection::challenge_auth_code_prompts_[] = {
-  "Verification code:",            // GA      (http://github.com/google/google-authenticator)
-  "One-time password (OATH) for",  // OATH    (http://www.nongnu.org/oath-toolkit/pam_oath.html)
-  "passcode:",                     // MOTP    (http://motp.sourceforge.net)
-  "Enter PASSCODE:",               // SecurID
-  "YubiKey for"                    // YubiKey (https://en.wikipedia.org/wiki/YubiKey)
+    "Verification code:",           // GA      (http://github.com/google/google-authenticator)
+    "One-time password (OATH) for", // OATH    (http://www.nongnu.org/oath-toolkit/pam_oath.html)
+    "passcode:",                    // MOTP    (http://motp.sourceforge.net)
+    "Enter PASSCODE:",              // SecurID
+    "YubiKey for"                   // YubiKey (https://en.wikipedia.org/wiki/YubiKey)
 };
 
-
 #ifdef Q_OS_WIN
 #include <QSettings>
 // parse known_hosts file from libssh and export keys in registry to use with plink.exe
 void SshMasterConnection::parseKnownHosts()
 {
-    QFile fl(mainWnd->getHomeDirectory()+"/ssh/known_hosts");
+    QFile fl(mainWnd->getHomeDirectory() + "/ssh/known_hosts");
     if (!fl.open(QFile::ReadOnly))
         return;
     QSettings settings("HKEY_CURRENT_USER\\Software\\SimonTatham\\PuTTY\\SshHostKeys",
                        QSettings::NativeFormat);
     while (!fl.atEnd())
     {
-        QString line=fl.readLine();
-        QStringList parts=line.split(' ',QString::SkipEmptyParts);
-        if (parts.count()!=3)
+        QString line = fl.readLine();
+        QStringList parts = line.split(' ', QString::SkipEmptyParts);
+        if (parts.count() != 3)
             continue;
 
         //lines in known_hosts have format:
@@ -80,257 +76,255 @@ void SshMasterConnection::parseKnownHosts()
         //we proceeding only lines from libssh - no hashed hostnames
         //or patterns are allowed
 
-        QString type="unknown";
-        QString port="22";
-        if (parts[1]=="ssh-dss")
-            type="dss";
-        if (parts[1]=="ssh-rsa")
-            type="rsa2";
-
+        QString type = "unknown";
+        QString port = "22";
+        if (parts[1] == "ssh-dss")
+            type = "dss";
+        if (parts[1] == "ssh-rsa")
+            type = "rsa2";
 
-        QStringList hostParts=parts[0].split(":",QString::SkipEmptyParts);
-        if (hostParts.count()>1)
-            port=hostParts[1];
-        hostParts[0].replace("[","");
-        hostParts[0].replace("]","");
+        QStringList hostParts = parts[0].split(":", QString::SkipEmptyParts);
+        if (hostParts.count() > 1)
+            port = hostParts[1];
+        hostParts[0].replace("[", "");
+        hostParts[0].replace("]", "");
 
-        QString keyName=type+"@"+port+":"+hostParts[0];
+        QString keyName = type + "@" + port + ":" + hostParts[0];
 
-        QByteArray bytes=QByteArray::fromBase64(parts[2].toLatin1());
+        QByteArray bytes = QByteArray::fromBase64(parts[2].toLatin1());
         QStringList fields;
 
         //key is a set of data fields:
         //[size][data][size][data].....[size][data]
 
-        for (int i=0; i<bytes.count();)
+        for (int i = 0; i < bytes.count();)
         {
-            int size=0;
+            int size = 0;
             //first 4 bytes are for size of data field (big-endian)
-            for (int j=0; j<4; ++j)
+            for (int j = 0; j < 4; ++j)
             {
-                size+=((uchar)(bytes[i])) * pow((float)256,3-j);
+                size += ((uchar)(bytes[i])) * pow((float)256, 3 - j);
                 i++;
             }
             QByteArray data;
-            data=bytes.mid(i,size);
+            data = bytes.mid(i, size);
             QString hex;
 
-            for (int j=0; j<data.count(); ++j)
+            for (int j = 0; j < data.count(); ++j)
             {
                 QString byte;
-                byte.sprintf("%02x",(uchar)(data[j]));
-                hex+=byte;
+                byte.sprintf("%02x", (uchar)(data[j]));
+                hex += byte;
             }
             //remove leading '0'
             for (;;)
             {
-                if (hex.length()==0)
+                if (hex.length() == 0)
                     break;
-                if (hex[0]=='0')
-                    hex.remove(0,1);
+                if (hex[0] == '0')
+                    hex.remove(0, 1);
                 else
                     break;
             }
-            hex="0x"+hex;
-            fields<<hex;
-            i+=size;
+            hex = "0x" + hex;
+            fields << hex;
+            i += size;
         }
         //first element is a type of key, we don't need it
         fields.removeFirst();
-        settings.setValue(keyName,fields.join(","));
-        x2goDebug<<"Writing key to registry: HKEY_CURRENT_USER\\Software\\SimonTatham\\PuTTY\\SshHostKeys"<<endl;
-        x2goDebug<<keyName<<"="<<fields.join(",")<<endl;
+        settings.setValue(keyName, fields.join(","));
+        x2goDebug << "Writing key to registry: HKEY_CURRENT_USER\\Software\\SimonTatham\\PuTTY\\SshHostKeys" << endl;
+        x2goDebug << keyName << "=" << fields.join(",") << endl;
     }
     settings.sync();
 }
 #endif
 
-
-SshMasterConnection::SshMasterConnection (QObject* parent, QString host, int port, bool acceptUnknownServers, QString user,
-        QString pass, QString key, bool autologin, bool krblogin,
-        bool useproxy, ProxyType type, QString proxyserver, quint16 proxyport,
-        QString proxylogin, QString proxypassword, QString proxykey,
-        bool proxyautologin, bool proxyKrbLogin ) : QThread ( parent )
+SshMasterConnection::SshMasterConnection(QObject *parent, QString host, int port, bool acceptUnknownServers, QString user,
+                                         QString pass, QString key, bool autologin, bool krblogin,
+                                         bool useproxy, ProxyType type, QString proxyserver, quint16 proxyport,
+                                         QString proxylogin, QString proxypassword, QString proxykey,
+                                         bool proxyautologin, bool proxyKrbLogin) : QThread(parent)
 {
-#if defined ( Q_OS_DARWIN )
+#if defined(Q_OS_DARWIN)
     // Mac OS X provides only 512KB stack space for secondary threads.
     // As we put a 512KB buffer on the stack later on, we need a bigger stack space.
-    setStackSize (sizeof (char) * 1024 * 1024 * 2);
+    setStackSize(sizeof(char) * 1024 * 1024 * 2);
 #endif
     tcpProxySocket = NULL;
     tcpNetworkProxy = NULL;
-    sshProxy= NULL;
-    sshProxyReady=false;
-    nextPid=0;
+    sshProxy = NULL;
+    sshProxyReady = false;
+    nextPid = 0;
 
-    breakLoop=false;
-    kerberosDelegation=false;
+    breakLoop = false;
+    kerberosDelegation = false;
     x2goDebug << "SshMasterConnection, host " << host << "; port " << port << "; user " << user
               << "; useproxy " << useproxy << "; proxyserver " << proxyserver
               << "; proxyport " << proxyport;
-    this->host=host;
+    this->host = host;
     // If the hostname starts with "!" do not perform loginCheck() for this connection
     if (this->host.indexOf("!") == 0)
     {
-        this->loginCheck=false;
+        this->loginCheck = false;
         this->host.remove(0, 1);
     }
     else
     {
-        this->loginCheck=true;
-    }
-    this->port=port;
-    this->user=user;
-    this->pass=pass;
-    this->key=key;
-    this->autologin=autologin;
-    this->acceptUnknownServers=acceptUnknownServers;
-    this->useproxy=useproxy;
-    this->proxytype=type;
-    this->proxyautologin=proxyautologin;
-    this->proxykey=proxykey;
-    this->proxyserver=proxyserver;
-    this->proxyport=proxyport;
-    this->proxylogin=proxylogin;
-    this->proxypassword=proxypassword;
-    this->proxyKrbLogin=proxyKrbLogin;
-    mainWnd=(ONMainWindow*) parent;
-    kerberos=krblogin;
-    challengeAuthVerificationCode=QString::null;
-
-#if LIBSSH_VERSION_INT >= SSH_VERSION_INT (0, 6, 0)
-    if (this->user.isEmpty ()) {
+        this->loginCheck = true;
+    }
+    this->port = port;
+    this->user = user;
+    this->pass = pass;
+    this->key = key;
+    this->autologin = autologin;
+    this->acceptUnknownServers = acceptUnknownServers;
+    this->useproxy = useproxy;
+    this->proxytype = type;
+    this->proxyautologin = proxyautologin;
+    this->proxykey = proxykey;
+    this->proxyserver = proxyserver;
+    this->proxyport = proxyport;
+    this->proxylogin = proxylogin;
+    this->proxypassword = proxypassword;
+    this->proxyKrbLogin = proxyKrbLogin;
+    mainWnd = (ONMainWindow *)parent;
+    kerberos = krblogin;
+    challengeAuthVerificationCode = QString::null;
+
+#if LIBSSH_VERSION_INT >= SSH_VERSION_INT(0, 6, 0)
+    if (this->user.isEmpty())
+    {
         /* We might have a config file request pending, honor this. */
-        ssh_session tmp_session = ssh_new ();
+        ssh_session tmp_session = ssh_new();
 
-        if (!tmp_session) {
-            QString error_msg = tr ("Cannot create SSH session.");
-            error_msg += " " + tr ("Using environment-provided username.");
+        if (!tmp_session)
+        {
+            QString error_msg = tr("Cannot create SSH session.");
+            error_msg += " " + tr("Using environment-provided username.");
             x2goDebug << error_msg;
         }
-        else {
+        else
+        {
             QByteArray tmp_BA;
 
-            tmp_BA = this->host.toLocal8Bit ();
+            tmp_BA = this->host.toLocal8Bit();
 
-            ssh_options_set (tmp_session, SSH_OPTIONS_HOST, tmp_BA.data ());
+            ssh_options_set(tmp_session, SSH_OPTIONS_HOST, tmp_BA.data());
 
-            if (ssh_options_parse_config (tmp_session, NULL) < 0) {
+            if (ssh_options_parse_config(tmp_session, NULL) < 0)
+            {
                 x2goDebug << "Warning: unable to parse the SSH config file.";
             }
 
             char *inferred_username = NULL;
-            ssh_options_get (tmp_session, SSH_OPTIONS_USER, &inferred_username);
+            ssh_options_get(tmp_session, SSH_OPTIONS_USER, &inferred_username);
             x2goDebug << "Temporary session user name after config file parse: " << inferred_username;
 
-            this->user = QString::fromLocal8Bit (inferred_username);
+            this->user = QString::fromLocal8Bit(inferred_username);
 
-            ssh_string_free_char (inferred_username);
-            ssh_free (tmp_session);
+            ssh_string_free_char(inferred_username);
+            ssh_free(tmp_session);
         }
     }
 #endif
 
-    if (this->user.isEmpty ()) {
+    if (this->user.isEmpty())
+    {
 #ifdef Q_OS_WIN
-        this->user = getenv ("USERNAME");
+        this->user = getenv("USERNAME");
 #else
-        this->user = getenv ("USER");
+        this->user = getenv("USER");
 #endif
     }
 
     if (kerberos)
     {
-        x2goDebug<<"Starting SSH connection with Kerberos authentication.";
+        x2goDebug << "Starting SSH connection with Kerberos authentication.";
     }
     else
     {
-        x2goDebug<<"Starting SSH connection without Kerberos authentication.";
+        x2goDebug << "Starting SSH connection without Kerberos authentication.";
     }
-    x2goDebug<<"SshMasterConnection, instance "<<this<<" created.";
+    x2goDebug << "SshMasterConnection, instance " << this << " created.";
 }
 
-
 void SshMasterConnection::slotSshProxyConnectionOk()
 {
-    x2goDebug<<"SSH proxy connected.";
+    x2goDebug << "SSH proxy connected.";
 
-
-    localProxyPort=PROXYTUNNELPORT;
-    while ( ONMainWindow::isServerRunning ( localProxyPort ) )
+    localProxyPort = PROXYTUNNELPORT;
+    while (ONMainWindow::isServerRunning(localProxyPort))
         ++localProxyPort;
 
-    sshProxy->startTunnel ( host, port, "127.0.0.1",localProxyPort,false,this, SLOT ( slotSshProxyTunnelOk(int)),
-                            SLOT ( slotSshProxyTunnelFailed(bool,QString,int)));
-
+    sshProxy->startTunnel(host, port, "127.0.0.1", localProxyPort, false, this, SLOT(slotSshProxyTunnelOk(int)),
+                          SLOT(slotSshProxyTunnelFailed(bool, QString, int)));
 }
 
-
-int SshMasterConnection::copyFile(const QString& src, const QString dst, QObject* receiver, const char* slotFinished)
+int SshMasterConnection::copyFile(const QString &src, const QString dst, QObject *receiver, const char *slotFinished)
 {
-    SshProcess* proc=new SshProcess(this, nextPid++);
-    if(receiver && slotFinished)
+    SshProcess *proc = new SshProcess(this, nextPid++);
+    if (receiver && slotFinished)
     {
-        connect(proc, SIGNAL(sshFinished(bool,QString,int)), receiver, slotFinished);
+        connect(proc, SIGNAL(sshFinished(bool, QString, int)), receiver, slotFinished);
     }
-    proc->start_cp(src,dst);
-    processes<<proc;
+    proc->start_cp(src, dst);
+    processes << proc;
     return proc->pid;
 }
 
-int SshMasterConnection::executeCommand(const QString& command, QObject* receiver, const char* slotFinished, bool overridePath)
+int SshMasterConnection::executeCommand(const QString &command, QObject *receiver, const char *slotFinished, bool overridePath)
 {
-    SshProcess* proc=new SshProcess(this, nextPid++);
-    if(receiver && slotFinished)
+    SshProcess *proc = new SshProcess(this, nextPid++);
+    if (receiver && slotFinished)
     {
-        connect(proc, SIGNAL(sshFinished(bool,QString,int)), receiver, slotFinished);
+        connect(proc, SIGNAL(sshFinished(bool, QString, int)), receiver, slotFinished);
     }
     proc->startNormal(command, overridePath);
-    processes<<proc;
+    processes << proc;
     return proc->pid;
-
 }
 
 QString SshMasterConnection::getSourceFile(int pid)
 {
-    foreach (SshProcess* proc, processes)
+    foreach (SshProcess *proc, processes)
     {
-        if(proc->pid==pid)
+        if (proc->pid == pid)
             return proc->getSource();
     }
     return QString ::null;
 }
 
-
 void SshMasterConnection::addReverseTunnelConnections()
 {
     reverseTunnelRequestMutex.lock();
-    for(int i=0; i<reverseTunnelRequest.count(); ++i)
+    for (int i = 0; i < reverseTunnelRequest.count(); ++i)
     {
-        if(!reverseTunnelRequest[i].listen)
+        if (!reverseTunnelRequest[i].listen)
         {
-            reverseTunnelRequest[i].listen=true;
+            reverseTunnelRequest[i].listen = true;
 
             int rc = SSH_AGAIN;
 
-#if LIBSSH_VERSION_INT >= SSH_VERSION_INT (0, 7, 0)
+#if LIBSSH_VERSION_INT >= SSH_VERSION_INT(0, 7, 0)
             /* Non-blocking mode may return SSH_AGAIN, so try again if neceassary. */
-            while (SSH_AGAIN == rc) {
+            while (SSH_AGAIN == rc)
+            {
                 rc = ssh_channel_listen_forward(my_ssh_session, NULL, reverseTunnelRequest[i].forwardPort, NULL);
 #else
             {
                 rc = ssh_forward_listen(my_ssh_session, NULL, reverseTunnelRequest[i].forwardPort, NULL);
 #endif
 
-                if(rc==SSH_OK)
+                if (rc == SSH_OK)
                 {
                     emit reverseTunnelOk(reverseTunnelRequest[i].creator);
-                    x2goDebug<<"Listening for TCP/IP connections on "<<reverseTunnelRequest[i].forwardPort;
+                    x2goDebug << "Listening for TCP/IP connections on " << reverseTunnelRequest[i].forwardPort;
                 }
-                if(rc==SSH_ERROR)
+                if (rc == SSH_ERROR)
                 {
-                    QString err=ssh_get_error(my_ssh_session);
-                    x2goDebug<<"Forward port "<<reverseTunnelRequest[i].forwardPort<<" failed:"<<err;
+                    QString err = ssh_get_error(my_ssh_session);
+                    x2goDebug << "Forward port " << reverseTunnelRequest[i].forwardPort << " failed:" << err;
                     emit reverseTunnelFailed(reverseTunnelRequest[i].creator, err);
                 }
             }
@@ -342,192 +336,185 @@ void SshMasterConnection::addReverseTunnelConnections()
 void SshMasterConnection::checkReverseTunnelConnections()
 {
     int port;
-    ssh_channel chan=ssh_channel_accept_forward(my_ssh_session, 0, &port);
-    if(chan)
+    ssh_channel chan = ssh_channel_accept_forward(my_ssh_session, 0, &port);
+    if (chan)
     {
-        x2goDebug<<"New reverse connection on port "<<port;
+        x2goDebug << "New reverse connection on port " << port;
 
         reverseTunnelRequestMutex.lock();
-        for(int i=0; i<reverseTunnelRequest.count(); ++i)
+        for (int i = 0; i < reverseTunnelRequest.count(); ++i)
         {
-            ReverseTunnelRequest req=reverseTunnelRequest[i];
-            if (static_cast<int> (req.forwardPort) == port)
+            ReverseTunnelRequest req = reverseTunnelRequest[i];
+            if (static_cast<int>(req.forwardPort) == port)
             {
-                x2goDebug<<"Creating new channel for reverse tunnel "<<port;
-                int sock=socket ( AF_INET, SOCK_STREAM,0 );
+                x2goDebug << "Creating new channel for reverse tunnel " << port;
+                int sock = socket(AF_INET, SOCK_STREAM, 0);
 #ifndef Q_OS_WIN
-                const int y=1;
+                const int y = 1;
 #else
-                const char y=1;
+                const char y = 1;
 #endif
-                setsockopt(sock, IPPROTO_TCP, TCP_NODELAY,&y, sizeof(int));
+                setsockopt(sock, IPPROTO_TCP, TCP_NODELAY, &y, sizeof(int));
 
                 struct sockaddr_in address;
-                address.sin_family=AF_INET;
-                address.sin_port=htons ( req.localPort );
-                x2goDebug<<"Connecting to "<<req.localHost<<":"<<req.localPort<<endl;
+                address.sin_family = AF_INET;
+                address.sin_port = htons(req.localPort);
+                x2goDebug << "Connecting to " << req.localHost << ":" << req.localPort << endl;
 #ifndef Q_OS_WIN
-                inet_aton ( req.localHost.toLatin1(), &address.sin_addr );
+                inet_aton(req.localHost.toLatin1(), &address.sin_addr);
 #else
-                address.sin_addr.s_addr=inet_addr (
-                                            req.localHost.toLatin1() );
+                address.sin_addr.s_addr = inet_addr(
+                    req.localHost.toLatin1());
 #endif
 
-                if ( ::connect ( sock, ( struct sockaddr * ) &address,sizeof ( address ) ) !=0 )
+                if (::connect(sock, (struct sockaddr *)&address, sizeof(address)) != 0)
                 {
-                    QString errMsg=tr ( "Cannot connect to " ) +
-                                   req.localHost+":"+QString::number ( req.localPort );
-                    x2goDebug<<errMsg<<endl;
-                    emit ioErr ( req.creator, errMsg, "" );
+                    QString errMsg = tr("Cannot connect to ") +
+                                     req.localHost + ":" + QString::number(req.localPort);
+                    x2goDebug << errMsg << endl;
+                    emit ioErr(req.creator, errMsg, "");
                     break;
                 }
 
                 ChannelConnection con;
-                con.channel=chan;
-                con.sock=sock;
-                con.creator=req.creator;
+                con.channel = chan;
+                con.sock = sock;
+                con.creator = req.creator;
                 channelConnectionsMutex.lock();
-                channelConnections<<con;
+                channelConnections << con;
                 channelConnectionsMutex.unlock();
-                x2goDebug<<"New channel created";
+                x2goDebug << "New channel created";
                 break;
             }
         }
         reverseTunnelRequestMutex.unlock();
-
-
     }
 }
 
-
-int SshMasterConnection::startTunnel(const QString& forwardHost, uint forwardPort, const QString& localHost, uint localPort, bool reverse,
-                                     QObject* receiver, const char* slotTunnelOk, const char* slotFinished)
+int SshMasterConnection::startTunnel(const QString &forwardHost, uint forwardPort, const QString &localHost, uint localPort, bool reverse,
+                                     QObject *receiver, const char *slotTunnelOk, const char *slotFinished)
 {
-    SshProcess* proc=new SshProcess(this, nextPid++);
-    if(receiver && slotFinished)
+    SshProcess *proc = new SshProcess(this, nextPid++);
+    if (receiver && slotFinished)
     {
-        connect(proc, SIGNAL(sshFinished(bool,QString,int)), receiver, slotFinished);
+        connect(proc, SIGNAL(sshFinished(bool, QString, int)), receiver, slotFinished);
     }
-    if(receiver && slotTunnelOk)
+    if (receiver && slotTunnelOk)
     {
         connect(proc, SIGNAL(sshTunnelOk(int)), receiver, slotTunnelOk);
     }
     proc->startTunnel(forwardHost, forwardPort, localHost, localPort, reverse);
-    if(reverse && !kerberos)
+    if (reverse && !kerberos)
     {
-        connect(this, SIGNAL(reverseTunnelOk(SshProcess*)), proc, SLOT(slotReverseTunnelOk(SshProcess*)));
-        connect(this, SIGNAL(reverseTunnelFailed(SshProcess*,QString)), proc, SLOT(slotReverseTunnelFailed(SshProcess*,QString)));
+        connect(this, SIGNAL(reverseTunnelOk(SshProcess *)), proc, SLOT(slotReverseTunnelOk(SshProcess *)));
+        connect(this, SIGNAL(reverseTunnelFailed(SshProcess *, QString)), proc, SLOT(slotReverseTunnelFailed(SshProcess *, QString)));
         ReverseTunnelRequest req;
-        req.creator=proc;
-        req.localPort=localPort;
-        req.localHost=localHost;
-        req.forwardPort=forwardPort;
-        req.listen=false;
-        x2goDebug<<"Requesting reverse tunnel from port "<<forwardPort<< " to "<<localPort;
+        req.creator = proc;
+        req.localPort = localPort;
+        req.localHost = localHost;
+        req.forwardPort = forwardPort;
+        req.listen = false;
+        x2goDebug << "Requesting reverse tunnel from port " << forwardPort << " to " << localPort;
         reverseTunnelRequestMutex.lock();
-        reverseTunnelRequest<<req;
+        reverseTunnelRequest << req;
         reverseTunnelRequestMutex.unlock();
     }
-    processes<<proc;
+    processes << proc;
     return proc->pid;
 }
 
-void SshMasterConnection::slotSshProxyInteractionFinish(SshMasterConnection* connection)
+void SshMasterConnection::slotSshProxyInteractionFinish(SshMasterConnection *connection)
 {
-    x2goDebug<<"SSH proxy interaction finished";
+    x2goDebug << "SSH proxy interaction finished";
     slotSshProxyUserAuthError("NO_ERROR");
 }
 
-void SshMasterConnection::slotSshProxyInteractionStart(SshMasterConnection* connection, QString prompt)
+void SshMasterConnection::slotSshProxyInteractionStart(SshMasterConnection *connection, QString prompt)
 {
     emit startInteraction(this, prompt);
 }
 
-void SshMasterConnection::slotSshProxyInteractionUpdate(SshMasterConnection* connection, QString output)
+void SshMasterConnection::slotSshProxyInteractionUpdate(SshMasterConnection *connection, QString output)
 {
     emit updateInteraction(this, output);
 }
 
-
 void SshMasterConnection::slotSshProxyConnectionError(QString err1, QString err2)
 {
-    breakLoop=true;
-    emit connectionError(tr("SSH proxy connection error."),err1+" "+err2);
+    breakLoop = true;
+    emit connectionError(tr("SSH proxy connection error."), err1 + " " + err2);
 }
 
-void SshMasterConnection::slotSshProxyServerAuthError(int errCode, QString err, SshMasterConnection* con)
+void SshMasterConnection::slotSshProxyServerAuthError(int errCode, QString err, SshMasterConnection *con)
 {
-    emit serverAuthError(errCode, tr("SSH proxy connection error: ")+err, con);
+    emit serverAuthError(errCode, tr("SSH proxy connection error: ") + err, con);
 }
 
 void SshMasterConnection::slotSshProxyUserAuthError(QString err)
 {
-    breakLoop=true;
-    if(err=="NO_ERROR" || err=="NO_PROXY_ERROR")
-      emit userAuthError(err);
+    breakLoop = true;
+    if (err == "NO_ERROR" || err == "NO_PROXY_ERROR")
+        emit userAuthError(err);
     else
-      emit userAuthError(tr("SSH proxy connection error: ")+err);
+        emit userAuthError(tr("SSH proxy connection error: ") + err);
 }
 
-
 void SshMasterConnection::slotSshProxyTunnelOk(int)
 {
-    x2goDebug<<"SSH proxy tunnel established.";
-    sshProxyReady=true;
+    x2goDebug << "SSH proxy tunnel established.";
+    sshProxyReady = true;
 }
 
-void SshMasterConnection::slotSshProxyTunnelFailed(bool ,  QString output,
-        int)
+void SshMasterConnection::slotSshProxyTunnelFailed(bool, QString output,
+                                                   int)
 {
-    breakLoop=true;
+    breakLoop = true;
     emit connectionError(tr("Failed to create SSH proxy tunnel."), output);
 }
 
-
-
 void SshMasterConnection::slotSshProxyServerAuthAborted()
 {
-    breakLoop=true;
+    breakLoop = true;
 }
 
 void SshMasterConnection::run()
 {
-    x2goDebug<<"SshMasterConnection, instance "<<this<<" entering thread.";
-    if(useproxy && proxytype==PROXYSSH)
+    x2goDebug << "SshMasterConnection, instance " << this << " entering thread.";
+    if (useproxy && proxytype == PROXYSSH)
     {
         x2goDebug << "proxyserver: " << proxyserver << "; proxyport: " << proxyport << "; proxylogin: " << proxylogin;
-        sshProxy=new SshMasterConnection (0, proxyserver, proxyport,acceptUnknownServers,
-                                          proxylogin, proxypassword, proxykey, proxyautologin, proxyKrbLogin, false);
-
-        qRegisterMetaType<SshMasterConnection::passphrase_types> ("SshMasterConnection::passphrase_types");
-
-        connect ( sshProxy, SIGNAL ( connectionOk(QString) ), this, SLOT ( slotSshProxyConnectionOk() ) );
-
-        connect ( sshProxy, SIGNAL ( serverAuthError ( int,QString,SshMasterConnection* ) ),this,
-                  SLOT ( slotSshProxyServerAuthError ( int,QString, SshMasterConnection* ) ) );
-        connect ( sshProxy, SIGNAL ( needPassPhrase(SshMasterConnection*, SshMasterConnection::passphrase_types)),this,
-                  SIGNAL ( needPassPhrase(SshMasterConnection*, SshMasterConnection::passphrase_types)) );
-        connect ( sshProxy, SIGNAL ( serverAuthAborted()),this,
-                  SLOT ( slotSshProxyServerAuthAborted()) );
-        connect ( sshProxy, SIGNAL ( userAuthError ( QString ) ),this,SLOT ( slotSshProxyUserAuthError ( QString ) ) );
-        connect ( sshProxy, SIGNAL ( connectionError ( QString,QString ) ), this,
-                  SLOT ( slotSshProxyConnectionError ( QString,QString ) ) );
-
-        connect ( sshProxy, SIGNAL(startInteraction(SshMasterConnection*,QString)),this,
-                  SLOT(slotSshProxyInteractionStart(SshMasterConnection*,QString)) );
-        connect ( sshProxy, SIGNAL(updateInteraction(SshMasterConnection*,QString)),this,
-                  SLOT(slotSshProxyInteractionUpdate(SshMasterConnection*,QString)) );
-        connect ( sshProxy, SIGNAL(finishInteraction(SshMasterConnection*)),this,
-		  SLOT(slotSshProxyInteractionFinish(SshMasterConnection*)));
-//         connect ( interDlg, SIGNAL(textEntered(QString)), con, SLOT(interactionTextEnter(QString)));
-//         connect ( interDlg, SIGNAL(interrupt()), con, SLOT(interactionInterruptSlot()));
-
-        sshProxyReady=false;
+        sshProxy = new SshMasterConnection(0, proxyserver, proxyport, acceptUnknownServers,
+                                           proxylogin, proxypassword, proxykey, proxyautologin, proxyKrbLogin, false);
+
+        qRegisterMetaType<SshMasterConnection::passphrase_types>("SshMasterConnection::passphrase_types");
+
+        connect(sshProxy, SIGNAL(connectionOk(QString)), this, SLOT(slotSshProxyConnectionOk()));
+
+        connect(sshProxy, SIGNAL(serverAuthError(int, QString, SshMasterConnection *)), this,
+                SLOT(slotSshProxyServerAuthError(int, QString, SshMasterConnection *)));
+        connect(sshProxy, SIGNAL(needPassPhrase(SshMasterConnection *, SshMasterConnection::passphrase_types)), this,
+                SIGNAL(needPassPhrase(SshMasterConnection *, SshMasterConnection::passphrase_types)));
+        connect(sshProxy, SIGNAL(serverAuthAborted()), this,
+                SLOT(slotSshProxyServerAuthAborted()));
+        connect(sshProxy, SIGNAL(userAuthError(QString)), this, SLOT(slotSshProxyUserAuthError(QString)));
+        connect(sshProxy, SIGNAL(connectionError(QString, QString)), this,
+                SLOT(slotSshProxyConnectionError(QString, QString)));
+
+        connect(sshProxy, SIGNAL(startInteraction(SshMasterConnection *, QString)), this,
+                SLOT(slotSshProxyInteractionStart(SshMasterConnection *, QString)));
+        connect(sshProxy, SIGNAL(updateInteraction(SshMasterConnection *, QString)), this,
+                SLOT(slotSshProxyInteractionUpdate(SshMasterConnection *, QString)));
+        connect(sshProxy, SIGNAL(finishInteraction(SshMasterConnection *)), this,
+                SLOT(slotSshProxyInteractionFinish(SshMasterConnection *)));
+        //         connect ( interDlg, SIGNAL(textEntered(QString)), con, SLOT(interactionTextEnter(QString)));
+        //         connect ( interDlg, SIGNAL(interrupt()), con, SLOT(interactionInterruptSlot()));
+
+        sshProxyReady = false;
         sshProxy->start();
 
-        while(! sshProxyReady)
+        while (!sshProxyReady)
         {
-            if(breakLoop)
+            if (breakLoop)
             {
                 quit();
                 return;
@@ -535,44 +522,46 @@ void SshMasterConnection::run()
             this->usleep(200);
         }
     }
-    disconnectSessionFlag=false;
+    disconnectSessionFlag = false;
 
     int verbosity = SSH_LOG_NOLOG;
 
-    if (ONMainWindow::libssh_debugging) {
-#if LIBSSH_VERSION_INT >= SSH_VERSION_INT (0, 6, 0)
-      verbosity = SSH_LOG_INFO;
+    if (ONMainWindow::libssh_debugging)
+    {
+#if LIBSSH_VERSION_INT >= SSH_VERSION_INT(0, 6, 0)
+        verbosity = SSH_LOG_INFO;
 #else
-      verbosity = SSH_LOG_PROTOCOL;
+        verbosity = SSH_LOG_PROTOCOL;
 #endif
     }
 
-    if (ONMainWindow::libssh_packetlog) {
-#if LIBSSH_VERSION_INT >= SSH_VERSION_INT (0, 6, 0)
-      verbosity = SSH_LOG_DEBUG;
+    if (ONMainWindow::libssh_packetlog)
+    {
+#if LIBSSH_VERSION_INT >= SSH_VERSION_INT(0, 6, 0)
+        verbosity = SSH_LOG_DEBUG;
 #else
-      verbosity = SSH_LOG_PACKET;
+        verbosity = SSH_LOG_PACKET;
 #endif
     }
 
     long timeout = 60;
 
     my_ssh_session = ssh_new();
-    if ( my_ssh_session == NULL )
+    if (my_ssh_session == NULL)
     {
-        QString err=tr ( "Cannot create SSH session." );
-        x2goDebug<<err<<endl;
-        emit connectionError ( err,"" );
+        QString err = tr("Cannot create SSH session.");
+        x2goDebug << err << endl;
+        emit connectionError(err, "");
         quit();
         return;
     }
 
 #ifdef Q_OS_WIN
     {
-        QByteArray tmp_BA = (mainWnd->getHomeDirectory () + "/ssh").toLocal8Bit ();
+        QByteArray tmp_BA = (mainWnd->getHomeDirectory() + "/ssh").toLocal8Bit();
 
-        ssh_options_set ( my_ssh_session, SSH_OPTIONS_SSH_DIR, tmp_BA.data ());
-        x2goDebug << "Setting SSH directory to " << tmp_BA.data ();
+        ssh_options_set(my_ssh_session, SSH_OPTIONS_SSH_DIR, tmp_BA.data());
+        x2goDebug << "Setting SSH directory to " << tmp_BA.data();
         if (kerberos)
         {
             parseKnownHosts();
